[17.10 FEAT] Upgrade libica >=3.2.0

Bug #1718379 reported by bugproxy
16
This bug affects 1 person
Affects Status Importance Assigned to Milestone
Ubuntu on IBM z Systems
High
Canonical Foundations Team
libica (Ubuntu)
Undecided
Skipper Bug Screeners
opencryptoki (Ubuntu)
Undecided
Unassigned
openssl-ibmca (Ubuntu)
Undecided
Unassigned

Bug Description

Upgrade to newest version of >=libica 3.2.0

Avaiable from github: https://github.com/opencryptoki/libica featuring
- a new AES-GCM interface.
- symbol versioning

bugproxy (bugproxy)
tags: added: architecture-s39064 bugnameltc-158970 severity-high targetmilestone-inin1710
Changed in ubuntu:
assignee: nobody → Skipper Bug Screeners (skipper-screen-team)
affects: ubuntu → libical (Ubuntu)
Frank Heimes (fheimes)
affects: libical (Ubuntu) → libica (Ubuntu)
Changed in ubuntu-z-systems:
assignee: nobody → Canonical Foundations Team (canonical-foundations)
Changed in ubuntu-z-systems:
importance: Undecided → High
Revision history for this message
Dimitri John Ledkov (xnox) wrote :

this would also require rebuilds of libopencryptoki and openssl-ibmca as all libica3.sybmols are now tagged with @LIBICA_X.Y.Z rather than be @BASE symbols.

Revision history for this message
bugproxy (bugproxy) wrote : Comment bridged from LTC Bugzilla

------- Comment From <email address hidden> 2017-10-04 07:25 EDT-------
Built libica 3.2.0 on Ubuntu 17.04 and tested with the following ibmca/opencryptoki packages:

ii openssl-ibmca 1.3.0-0ubuntu4 s390x libica based hardware acceleration engine for OpenSSL
ii libopencryptoki-dev 3.6.2+dfsg-1 s390x PKCS#11 implementation (development)
ii libopencryptoki0 3.6.2+dfsg-1 s390x PKCS#11 implementation (library)
ii opencryptoki 3.6.2+dfsg-1 s390x PKCS#11 implementation (daemon)

everything is working. Why would a rebuild be required ?

Revision history for this message
Steve Langasek (vorlon) wrote : Re: [Bug 1718379] Re: [17.10 FEAT] Upgrade libica >=3.2.0

On Wed, Oct 04, 2017 at 10:11:14AM -0000, Dimitri John Ledkov wrote:
> this would also require rebuilds of libopencryptoki and openssl-ibmca as
> all libica3.sybmols are now tagged with @LIBICA_X.Y.Z rather than be
> @BASE symbols.

That shouldn't require a rebuild; anything that references the @Base symbol
will match symbols with any other explicit symbol version.

Changed in opencryptoki (Ubuntu):
status: New → Invalid
Changed in openssl-ibmca (Ubuntu):
status: New → Invalid
Changed in libica (Ubuntu):
status: New → Confirmed
information type: Private → Public
Revision history for this message
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package libica - 3.2.0-2

---------------
libica (3.2.0-2) unstable; urgency=medium

  * Drop the overly protective Breaks, migration from @Base to tagged
    symbols is not an abi break, as no symbols have been dropped and only
    new ones added. Bump of the minimal version requirement is correct as
    newly linked code will reference tagged symbols and thus will need at
    least 3.2.0 build of libica.

 -- Dimitri John Ledkov <email address hidden> Wed, 04 Oct 2017 19:57:19 +0100

Changed in libica (Ubuntu):
status: Confirmed → Fix Released
Frank Heimes (fheimes)
Changed in ubuntu-z-systems:
status: New → Fix Released
Revision history for this message
bugproxy (bugproxy) wrote : Comment bridged from LTC Bugzilla

------- Comment From <email address hidden> 2017-10-09 09:34 EDT-------
IBM Bugzilla status -> closed, avaiable within Artful

To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers